import PySimpleGUI as sg
import cv2

sg.set_options(font=("Courier", 30))

layout = [
    [sg.Image(key="-IMAGE-")],
    [sg.Button("Bild laden"), sg.Button("Beenden")]
]

window = sg.Window("Bild laden und anzeigen", layout)

# NEU: Wir verlagern das umwandeln und anzeigen des Bildes
# in eine Funktion:
def show_image(image):
    image_bytes = cv2.imencode('.png', image)[1].tobytes()
    window["-IMAGE-"].update(data=image_bytes)

while True:
    event, values = window.read()

    if event == sg.WINDOW_CLOSED or event == "Beenden":
        break
    
    if event == "Bild laden":
        filename = sg.popup_get_file("Bild laden", no_window=True)
        if filename:
            image = cv2.imread(filename)
            # NEU: Hier Aufruf der neuen Funktion
            show_image(image)
            
window.close()